package com.agri.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.agri.system.domain.SysAgriLimitBak;

/**
 * 大棚功能执行时间限位Service接口
 * 
 * @author lld
 * @date 2026-03-17
 */
public interface ISysAgriLimitBakService  extends IService<SysAgriLimitBak> {
    /**
     * 查询大棚功能执行时间限位
     * 
     * @param id 大棚功能执行时间限位主键
     * @return 大棚功能执行时间限位
     */
    public SysAgriLimitBak selectSysAgriLimitBakById(String id);

    /**
     * 查询大棚功能执行时间限位列表
     * 
     * @param sysAgriLimitBak 大棚功能执行时间限位
     * @return 大棚功能执行时间限位集合
     */
    public List<SysAgriLimitBak> selectSysAgriLimitBakList(SysAgriLimitBak sysAgriLimitBak);

    /**
     * 新增大棚功能执行时间限位
     * 
     * @param sysAgriLimitBak 大棚功能执行时间限位
     * @return 结果
     */
    public int insertSysAgriLimitBak(SysAgriLimitBak sysAgriLimitBak);

    /**
     * 修改大棚功能执行时间限位
     * 
     * @param sysAgriLimitBak 大棚功能执行时间限位
     * @return 结果
     */
    public int updateSysAgriLimitBak(SysAgriLimitBak sysAgriLimitBak);

    /**
     * 批量删除大棚功能执行时间限位
     * 
     * @param ids 需要删除的大棚功能执行时间限位主键集合
     * @return 结果
     */
    public int deleteSysAgriLimitBakByIds(String[] ids);

    /**
     * 删除大棚功能执行时间限位信息
     * 
     * @param id 大棚功能执行时间限位主键
     * @return 结果
     */
    public int deleteSysAgriLimitBakById(String id);

    SysAgriLimitBak getAgriLimitByImei(String imei);

    boolean saveAgriLimit(SysAgriLimitBak sysAgriLimitBak);
}
